@proxima-nexus/openapi 2.1.0 → 2.2.0
This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
- package/CHANGELOG.md +15 -0
- package/openapi.json +116 -2
- package/openapi.yaml +82 -2
- package/package.json +1 -1
package/CHANGELOG.md
CHANGED
|
@@ -5,6 +5,21 @@ All notable changes to the Proxima Nexus OpenAPI specification are documented in
|
|
|
5
5
|
The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
|
|
6
6
|
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).
|
|
7
7
|
|
|
8
|
+
## [2.2.0] - 2026-03-02
|
|
9
|
+
|
|
10
|
+
### Added
|
|
11
|
+
|
|
12
|
+
- **Event time range filters**
|
|
13
|
+
- `GET /event`: optional `from` / `to` query params to filter events by time window (`from` = events ending after this instant, `to` = events starting before this instant).
|
|
14
|
+
- `GET /user/{userId}/events`: optional `from` / `to` range filters with the same semantics; `from` defaults to “now” when omitted.
|
|
15
|
+
- `GET /group/{groupId}/events`: optional `from` / `to` range filters with the same semantics.
|
|
16
|
+
- `GET /events/search`: optional `from` / `to` range filters with the same semantics.
|
|
17
|
+
- `GET /event-series/{seriesId}/events`: optional `from` / `to` range filters with the same semantics.
|
|
18
|
+
|
|
19
|
+
### Changed
|
|
20
|
+
|
|
21
|
+
- **Event series instances**: `GET /event-series/{seriesId}/events` summary/description now clarify that the endpoint returns instances ordered by start time and **defaults to only ongoing/upcoming instances** unless a custom `from` / `to` window is provided.
|
|
22
|
+
|
|
8
23
|
## [2.1.0] - 2026-03-02
|
|
9
24
|
|
|
10
25
|
### Added
|
package/openapi.json
CHANGED
|
@@ -132,6 +132,26 @@
|
|
|
132
132
|
"type": "number"
|
|
133
133
|
}
|
|
134
134
|
},
|
|
135
|
+
{
|
|
136
|
+
"name": "from",
|
|
137
|
+
"required": false,
|
|
138
|
+
"in": "query",
|
|
139
|
+
"description": "ISO 8601 date — filter events ending after this time",
|
|
140
|
+
"schema": {
|
|
141
|
+
"example": "2025-01-01T00:00:00Z",
|
|
142
|
+
"type": "string"
|
|
143
|
+
}
|
|
144
|
+
},
|
|
145
|
+
{
|
|
146
|
+
"name": "to",
|
|
147
|
+
"required": false,
|
|
148
|
+
"in": "query",
|
|
149
|
+
"description": "ISO 8601 date — filter events starting before this time",
|
|
150
|
+
"schema": {
|
|
151
|
+
"example": "2025-12-31T23:59:59Z",
|
|
152
|
+
"type": "string"
|
|
153
|
+
}
|
|
154
|
+
},
|
|
135
155
|
{
|
|
136
156
|
"name": "X-Proxima-Nexus-Requester-User-Id",
|
|
137
157
|
"in": "header",
|
|
@@ -618,6 +638,24 @@
|
|
|
618
638
|
"type": "string"
|
|
619
639
|
}
|
|
620
640
|
},
|
|
641
|
+
{
|
|
642
|
+
"name": "from",
|
|
643
|
+
"required": false,
|
|
644
|
+
"in": "query",
|
|
645
|
+
"description": "ISO 8601 start of range (events ending after this time). Default: NOW()",
|
|
646
|
+
"schema": {
|
|
647
|
+
"type": "string"
|
|
648
|
+
}
|
|
649
|
+
},
|
|
650
|
+
{
|
|
651
|
+
"name": "to",
|
|
652
|
+
"required": false,
|
|
653
|
+
"in": "query",
|
|
654
|
+
"description": "ISO 8601 end of range (events starting before this time)",
|
|
655
|
+
"schema": {
|
|
656
|
+
"type": "string"
|
|
657
|
+
}
|
|
658
|
+
},
|
|
621
659
|
{
|
|
622
660
|
"name": "X-Proxima-Nexus-Requester-User-Id",
|
|
623
661
|
"in": "header",
|
|
@@ -799,6 +837,26 @@
|
|
|
799
837
|
"type": "number"
|
|
800
838
|
}
|
|
801
839
|
},
|
|
840
|
+
{
|
|
841
|
+
"name": "from",
|
|
842
|
+
"required": false,
|
|
843
|
+
"in": "query",
|
|
844
|
+
"description": "ISO 8601 date — filter events ending after this time",
|
|
845
|
+
"schema": {
|
|
846
|
+
"example": "2025-01-01T00:00:00Z",
|
|
847
|
+
"type": "string"
|
|
848
|
+
}
|
|
849
|
+
},
|
|
850
|
+
{
|
|
851
|
+
"name": "to",
|
|
852
|
+
"required": false,
|
|
853
|
+
"in": "query",
|
|
854
|
+
"description": "ISO 8601 date — filter events starting before this time",
|
|
855
|
+
"schema": {
|
|
856
|
+
"example": "2025-12-31T23:59:59Z",
|
|
857
|
+
"type": "string"
|
|
858
|
+
}
|
|
859
|
+
},
|
|
802
860
|
{
|
|
803
861
|
"name": "X-Proxima-Nexus-Requester-User-Id",
|
|
804
862
|
"in": "header",
|
|
@@ -1341,6 +1399,26 @@
|
|
|
1341
1399
|
"type": "number"
|
|
1342
1400
|
}
|
|
1343
1401
|
},
|
|
1402
|
+
{
|
|
1403
|
+
"name": "from",
|
|
1404
|
+
"required": false,
|
|
1405
|
+
"in": "query",
|
|
1406
|
+
"description": "ISO 8601 date — filter events ending after this time",
|
|
1407
|
+
"schema": {
|
|
1408
|
+
"example": "2025-01-01T00:00:00Z",
|
|
1409
|
+
"type": "string"
|
|
1410
|
+
}
|
|
1411
|
+
},
|
|
1412
|
+
{
|
|
1413
|
+
"name": "to",
|
|
1414
|
+
"required": false,
|
|
1415
|
+
"in": "query",
|
|
1416
|
+
"description": "ISO 8601 date — filter events starting before this time",
|
|
1417
|
+
"schema": {
|
|
1418
|
+
"example": "2025-12-31T23:59:59Z",
|
|
1419
|
+
"type": "string"
|
|
1420
|
+
}
|
|
1421
|
+
},
|
|
1344
1422
|
{
|
|
1345
1423
|
"name": "X-Proxima-Nexus-Requester-User-Id",
|
|
1346
1424
|
"in": "header",
|
|
@@ -1736,6 +1814,24 @@
|
|
|
1736
1814
|
"type": "string"
|
|
1737
1815
|
}
|
|
1738
1816
|
},
|
|
1817
|
+
{
|
|
1818
|
+
"name": "from",
|
|
1819
|
+
"required": false,
|
|
1820
|
+
"in": "query",
|
|
1821
|
+
"description": "ISO 8601 start of range (events ending after this time). Default: NOW()",
|
|
1822
|
+
"schema": {
|
|
1823
|
+
"type": "string"
|
|
1824
|
+
}
|
|
1825
|
+
},
|
|
1826
|
+
{
|
|
1827
|
+
"name": "to",
|
|
1828
|
+
"required": false,
|
|
1829
|
+
"in": "query",
|
|
1830
|
+
"description": "ISO 8601 end of range (events starting before this time)",
|
|
1831
|
+
"schema": {
|
|
1832
|
+
"type": "string"
|
|
1833
|
+
}
|
|
1834
|
+
},
|
|
1739
1835
|
{
|
|
1740
1836
|
"name": "X-Proxima-Nexus-Requester-User-Id",
|
|
1741
1837
|
"in": "header",
|
|
@@ -2020,8 +2116,8 @@
|
|
|
2020
2116
|
"/event-series/{seriesId}/events": {
|
|
2021
2117
|
"get": {
|
|
2022
2118
|
"operationId": "EventSeriesController_getInstances",
|
|
2023
|
-
"summary": "List
|
|
2024
|
-
"description": "Returns
|
|
2119
|
+
"summary": "List event instances in a series",
|
|
2120
|
+
"description": "Returns event instances belonging to this series, ordered by start time. Defaults to only ongoing/upcoming instances.",
|
|
2025
2121
|
"parameters": [
|
|
2026
2122
|
{
|
|
2027
2123
|
"name": "seriesId",
|
|
@@ -2030,6 +2126,24 @@
|
|
|
2030
2126
|
"schema": {
|
|
2031
2127
|
"type": "string"
|
|
2032
2128
|
}
|
|
2129
|
+
},
|
|
2130
|
+
{
|
|
2131
|
+
"name": "from",
|
|
2132
|
+
"required": false,
|
|
2133
|
+
"in": "query",
|
|
2134
|
+
"description": "ISO 8601 start of range (events ending after this time). Default: NOW()",
|
|
2135
|
+
"schema": {
|
|
2136
|
+
"type": "string"
|
|
2137
|
+
}
|
|
2138
|
+
},
|
|
2139
|
+
{
|
|
2140
|
+
"name": "to",
|
|
2141
|
+
"required": false,
|
|
2142
|
+
"in": "query",
|
|
2143
|
+
"description": "ISO 8601 end of range (events starting before this time)",
|
|
2144
|
+
"schema": {
|
|
2145
|
+
"type": "string"
|
|
2146
|
+
}
|
|
2033
2147
|
}
|
|
2034
2148
|
],
|
|
2035
2149
|
"responses": {
|
package/openapi.yaml
CHANGED
|
@@ -93,6 +93,20 @@ paths:
|
|
|
93
93
|
schema:
|
|
94
94
|
example: 100
|
|
95
95
|
type: number
|
|
96
|
+
- name: from
|
|
97
|
+
required: false
|
|
98
|
+
in: query
|
|
99
|
+
description: ISO 8601 date — filter events ending after this time
|
|
100
|
+
schema:
|
|
101
|
+
example: '2025-01-01T00:00:00Z'
|
|
102
|
+
type: string
|
|
103
|
+
- name: to
|
|
104
|
+
required: false
|
|
105
|
+
in: query
|
|
106
|
+
description: ISO 8601 date — filter events starting before this time
|
|
107
|
+
schema:
|
|
108
|
+
example: '2025-12-31T23:59:59Z'
|
|
109
|
+
type: string
|
|
96
110
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
97
111
|
in: header
|
|
98
112
|
description: >-
|
|
@@ -411,6 +425,18 @@ paths:
|
|
|
411
425
|
in: path
|
|
412
426
|
schema:
|
|
413
427
|
type: string
|
|
428
|
+
- name: from
|
|
429
|
+
required: false
|
|
430
|
+
in: query
|
|
431
|
+
description: 'ISO 8601 start of range (events ending after this time). Default: NOW()'
|
|
432
|
+
schema:
|
|
433
|
+
type: string
|
|
434
|
+
- name: to
|
|
435
|
+
required: false
|
|
436
|
+
in: query
|
|
437
|
+
description: ISO 8601 end of range (events starting before this time)
|
|
438
|
+
schema:
|
|
439
|
+
type: string
|
|
414
440
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
415
441
|
in: header
|
|
416
442
|
description: >-
|
|
@@ -531,6 +557,20 @@ paths:
|
|
|
531
557
|
schema:
|
|
532
558
|
example: 100
|
|
533
559
|
type: number
|
|
560
|
+
- name: from
|
|
561
|
+
required: false
|
|
562
|
+
in: query
|
|
563
|
+
description: ISO 8601 date — filter events ending after this time
|
|
564
|
+
schema:
|
|
565
|
+
example: '2025-01-01T00:00:00Z'
|
|
566
|
+
type: string
|
|
567
|
+
- name: to
|
|
568
|
+
required: false
|
|
569
|
+
in: query
|
|
570
|
+
description: ISO 8601 date — filter events starting before this time
|
|
571
|
+
schema:
|
|
572
|
+
example: '2025-12-31T23:59:59Z'
|
|
573
|
+
type: string
|
|
534
574
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
535
575
|
in: header
|
|
536
576
|
description: >-
|
|
@@ -879,6 +919,20 @@ paths:
|
|
|
879
919
|
schema:
|
|
880
920
|
example: 100
|
|
881
921
|
type: number
|
|
922
|
+
- name: from
|
|
923
|
+
required: false
|
|
924
|
+
in: query
|
|
925
|
+
description: ISO 8601 date — filter events ending after this time
|
|
926
|
+
schema:
|
|
927
|
+
example: '2025-01-01T00:00:00Z'
|
|
928
|
+
type: string
|
|
929
|
+
- name: to
|
|
930
|
+
required: false
|
|
931
|
+
in: query
|
|
932
|
+
description: ISO 8601 date — filter events starting before this time
|
|
933
|
+
schema:
|
|
934
|
+
example: '2025-12-31T23:59:59Z'
|
|
935
|
+
type: string
|
|
882
936
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
883
937
|
in: header
|
|
884
938
|
description: >-
|
|
@@ -1129,6 +1183,18 @@ paths:
|
|
|
1129
1183
|
in: path
|
|
1130
1184
|
schema:
|
|
1131
1185
|
type: string
|
|
1186
|
+
- name: from
|
|
1187
|
+
required: false
|
|
1188
|
+
in: query
|
|
1189
|
+
description: 'ISO 8601 start of range (events ending after this time). Default: NOW()'
|
|
1190
|
+
schema:
|
|
1191
|
+
type: string
|
|
1192
|
+
- name: to
|
|
1193
|
+
required: false
|
|
1194
|
+
in: query
|
|
1195
|
+
description: ISO 8601 end of range (events starting before this time)
|
|
1196
|
+
schema:
|
|
1197
|
+
type: string
|
|
1132
1198
|
- name: X-Proxima-Nexus-Requester-User-Id
|
|
1133
1199
|
in: header
|
|
1134
1200
|
description: >-
|
|
@@ -1309,14 +1375,28 @@ paths:
|
|
|
1309
1375
|
/event-series/{seriesId}/events:
|
|
1310
1376
|
get:
|
|
1311
1377
|
operationId: EventSeriesController_getInstances
|
|
1312
|
-
summary: List
|
|
1313
|
-
description:
|
|
1378
|
+
summary: List event instances in a series
|
|
1379
|
+
description: >-
|
|
1380
|
+
Returns event instances belonging to this series, ordered by start time. Defaults to only ongoing/upcoming
|
|
1381
|
+
instances.
|
|
1314
1382
|
parameters:
|
|
1315
1383
|
- name: seriesId
|
|
1316
1384
|
required: true
|
|
1317
1385
|
in: path
|
|
1318
1386
|
schema:
|
|
1319
1387
|
type: string
|
|
1388
|
+
- name: from
|
|
1389
|
+
required: false
|
|
1390
|
+
in: query
|
|
1391
|
+
description: 'ISO 8601 start of range (events ending after this time). Default: NOW()'
|
|
1392
|
+
schema:
|
|
1393
|
+
type: string
|
|
1394
|
+
- name: to
|
|
1395
|
+
required: false
|
|
1396
|
+
in: query
|
|
1397
|
+
description: ISO 8601 end of range (events starting before this time)
|
|
1398
|
+
schema:
|
|
1399
|
+
type: string
|
|
1320
1400
|
responses:
|
|
1321
1401
|
'200':
|
|
1322
1402
|
description: Event instances returned
|